#!/bin/sh
#
# This script is a component of Warewulf,
# http://www.runlevelzero.net/greg/warewulf
#
#########################################################################
#
# Copyright (c) 2003, The Regents of the University of California, through
# Lawrence Berkeley National Laboratory (subject to receipt of any
# required approvals from the U.S. Dept. of Energy).  All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The GNU GPL Document can be found at:
# http://www.gnu.org/copyleft/gpl.html
#
#########################################################################
#
#       this module is written and maintained by:
#       Geoff Galitz
#       galitz@berkeley.edu, geoff@galitz.org
#       Oct 4, 2005
#
#
#       This is the Wake-On-Lan module for warewulf.  It powers down
#       idle nodes and wakes sleeping nodes when there is demand for
#       more processors.
#



echo "Installing perl components..."
echo "Installing wol"
cp wol /usr/sbin/wol
echo "Installing wol init scripts"
cp wol.init /etc/init.d/wol
echo "Configuring wol to start"
chkconfig --add wol
chkconfig --level 35 wol on

echo "Compiling and installing ether-wake..."
gcc -o ether-wake ether-wake.c
chmod 555 ether-wake
cp ether-wake /usr/local/sbin


echo "You can start wol by typing:  service wol start"

